> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasbrokerautopromotionsettings.md).

# Set-RASBrokerAutoPromotionSettings.md

## NAME

Set-RASBrokerAutoPromotionSettings

## SYNOPSIS

Modifies Parallels RAS Broker Auto Promotion settings.

## SYNTAX

\*\*Set-RASBrokerAutoPromotionSettings \[[AutoPromoteAfterMins](#autopromoteaftermins-string) *(uint)*] \[[Enabled](#enabled-string) *(bool)*] \[[FailbackEnabled](#failbackenabled-string) *(bool)*] \[[Replicate](#replicate-string) *(bool)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The Set-RASBrokerAutoPromotionSettings cmdlet modifies Parallels RAS Broker Auto Promotion settings using the specified parameters and their values.

All parameters are optional.

## PARAMETERS

## SiteId (uint)

The site ID to which the Parallels RAS Broker Auto Promotion settings refer to.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Whether Auto Promotion is enabled or not.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AutoPromoteAfterMins (uint)

The amount of time (in mins) required to enable auto promotion.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## FailbackEnabled (bool)

Whether Failback is enabled or not.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Replicate (bool)

Whether Replicate is enabled or not.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASBrokerAutoPromotionSettings -AllowAutoPromo $false

Modifies the specified AllowAutoPromo parameter.

## RELATED LINKS

* [Get-RASBrokerAutoPromotionSettings](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasbrokerautopromotionsettings.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasbrokerautopromotionsettings.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
